# CryptoFunctions Class Reference
[Diffie-Hellman Key Agreement Method (RFC-2631) implementation]

Inheritance diagram for CryptoFunctions:
[legend]

List of all members.

## Static Public Member Functions

static | hmacsha1 ($key, $message)

## Public Attributes

const | SHA1_BLOCK_SIZE = 64

## Detailed Description

Definition at line 15 of file CryptoFunctions.class.php.

## Member Function Documentation

static CryptoFunctions::hmacsha1 | ( | $ | key,
|  | $ | message |
| ) |  |  | `[static]`

See also:
  http://tools.ietf.org/html/rfc2104

Definition at line 22 of file CryptoFunctions.class.php.

Referenced by OpenIdConsumer::doContinue().

## Member Data Documentation

const CryptoFunctions::SHA1_BLOCK_SIZE = 64

Definition at line 17 of file CryptoFunctions.class.php.

The documentation for this class was generated from the following file:

- main/Crypto/CryptoFunctions.class.php